chiark / gitweb /
Merge commit 'refs/merge-requests/140' of gitorious.org:f-droid/fdroidserver
authorDaniel Martí <mvdan@mvdan.cc>
Thu, 3 Apr 2014 11:01:09 +0000 (13:01 +0200)
committerDaniel Martí <mvdan@mvdan.cc>
Thu, 3 Apr 2014 11:01:09 +0000 (13:01 +0200)
jenkins-build [moved from jenkins-build.sh with 88% similarity]
setup.py

similarity index 88%
rename from jenkins-build.sh
rename to jenkins-build
index ccd9492e613f987a97eb8ee323d8296a78ef1260..281aa1d484cc8feb64df1c4441ca95bf3323a8f8 100755 (executable)
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
 #
 # this is the script run by the Jenkins server to run the build and tests.  Be
 # sure to always run it in its dir, i.e. ./jenkins-build.sh, otherwise it might
@@ -76,11 +76,13 @@ set +e
 #   Module 'sys' has no '_MEIPASS' member
 # disable F0401 until there is a plugin to handle this properly:
 #   keysync-gui:25: [F] Unable to import 'ordereddict'
-pylint --output-format=parseable --reports=n \
+# use the virtualenv python so pylint checks against its installed libs
+python /usr/bin/pylint --output-format=parseable --reports=n \
     fdroidserver/*.py fdroid makebuildserver setup.py > $WORKSPACE/pylint.parseable
 
 # to only tell jenkins there was an error if we got ERROR or FATAL, uncomment these:
-#[ $(($? & 1)) = "1" ] && exit 1
-#[ $(($? & 2)) = "2" ] && exit 2
+[ $(($? & 1)) = "1" ] && echo "FATALs found"
+[ $(($? & 2)) = "2" ] && echo "ERRORs found"
+[ $(($? & 4)) = "4" ] && echo "WARNINGs found"
 set -e
 
index 2ea13f8c57127b97c2354b367fba85aa2f93e33c..9c771d306b11b37d1dfc7c70b849512455fdbf91 100644 (file)
--- a/setup.py
+++ b/setup.py
@@ -27,8 +27,11 @@ setup(name='fdroidserver',
         ('fdroidserver/getsig', ['fdroidserver/getsig/getsig.class'])
         ],
       install_requires=[
-        'python-magic',
+        'mwclient',
+        'paramiko',
         'PIL',
+        'python-magic',
+        'ssh',
         ],
       classifiers=[
         'Development Status :: 3 - Alpha',